package _VisualDVM.Passes.All;
import Common.Visual.Windows.Dialog.SessionMaxtimeDialog;
import _VisualDVM.Global;
import _VisualDVM.Passes.Project.CurrentProjectPass;
public class EditProjectCompilationMaxtime extends CurrentProjectPass {
    SessionMaxtimeDialog f;
    @Override
    public String getIconPath() {
        return "/Common/icons/Maxtime.png";
    }
    @Override
    public String getButtonText() {
        return "";
    }
    @Override
    protected boolean canStart(Object... args) throws Exception {
        return super.canStart(args) &&
                (f = new SessionMaxtimeDialog()).ShowDialog("максимальное время компиляции", Global.mainModule.getProject().compilation_maxtime);
    }
    @Override
    protected void body() throws Exception {
        target.UpdateCompilationMaxtime(f.Result);
    }
    @Override
    protected void showDone() throws Exception {
    }
}
